import request from '@/utils/request'
	
/**
 * @Descripttion: 店铺地址Api接口
 * @version: (1.0)
 * @Author: (黎文豪)
 * @Date: (2023-06-15)
 * @LastEditors: (黎文豪)
 * @LastEditTime: (2023-06-15)
*/

// 店铺地址分页查询列表
export function shopAddressList(query) {
  return request({
    url: '/business/ShopAddress/getShopAddressList',
    method: 'get',
    params: query
  })
}

// 店铺地址新增或修改
export function addOrUpdateShopAddress(data) {
  return request({
    url: '/business/ShopAddress/addOrUpdateShopAddress',
    method: 'post',
    data: data,
  })
}

// 店铺地址删除
export function delShopAddress(ids) {
  return request({
    url: '/business/ShopAddress/'+ ids,
    method: 'delete'
  })
}

// 店铺地址导出
export function exportShopAddress(query) {
  return request({
    url: 'business/ShopAddress/exportShopAddress',
    method: 'get',
    params: query
  })
}

